package domain

type AlibabaWdkCouponTemplateCreateApiResult struct {
	/*
	   错误码     */
	ErrCode *string `json:"err_code,omitempty" `

	/*
	   错误信息     */
	ErrMsg *string `json:"err_msg,omitempty" `

	/*
	   返回     */
	Model *AlibabaWdkCouponTemplateCreateCouponTemplateOperateResponse `json:"model,omitempty" `

	/*
	   成功标志     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkCouponTemplateCreateApiResult) SetErrCode(v string) *AlibabaWdkCouponTemplateCreateApiResult {
	s.ErrCode = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateApiResult) SetErrMsg(v string) *AlibabaWdkCouponTemplateCreateApiResult {
	s.ErrMsg = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateApiResult) SetModel(v AlibabaWdkCouponTemplateCreateCouponTemplateOperateResponse) *AlibabaWdkCouponTemplateCreateApiResult {
	s.Model = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateApiResult) SetSuccess(v bool) *AlibabaWdkCouponTemplateCreateApiResult {
	s.Success = &v
	return s
}
